#
# This rpm is based on the git tree from:
# git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware-from-kernel.git
#

Summary:	Linux kernel firmware files
Name:   	kernel-firmware
Version:	2.6.27
Release:	%manbo_mkrel 2
License:	GPLv2
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
Obsoletes:	korg1212-firmware maestro3-firmware sb16-firmware yamaha-firmware
# kernel-firmware tarball is generated from the git tree mentioned above, 
# by simply cloning it, doing a rm -rf linux-firmware-from-kernel/.git/ 
# and tar -cjvf kernel-firmware-version.tar.bz2 linux-firmware-from-kernel
Source0: 	kernel-firmware-%version.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
Buildarch:	noarch

%description
This package contains the GPL firmwares for in-kernel drivers.
It is shared by all kernels >= 2.6.27-rc1.

%prep
%setup -q -n linux-firmware-from-kernel

%install
rm -rf %buildroot
mkdir -p %buildroot/lib/firmware
cp -avf * %buildroot/lib/firmware

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
/lib/firmware/*


%changelog
* Sat Sep 06 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-2mnb2
+ Revision: 281995
- Obsolete korg1212-firmware, maestro3-firmware, sb16-firmware, yamaha-firmware.

* Thu Aug 28 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-1mnb2
+ Revision: 277014
- redo spec based on kernel-headers spec
- switch to using dwmw2's linux-firmware-from-kernel git tree
- no need to follow -rc/-git versioning as the firmwares does
  not change that often.
- package is now noarch as we dont build anything
- switch to Manbo Core tagging

* Thu Aug 21 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-0.rc4.1mdv2009.0
+ Revision: 274527
- update to 2.6.27-rc4

* Wed Aug 20 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-0.rc3.1mdv2009.0
+ Revision: 274212
- fix git typo
- update to 2.6.27-rc3-git6

* Thu Aug 07 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-0.rc2.2mdv2009.0
+ Revision: 265550
- bump release
- add buildrequires

* Thu Aug 07 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-0.rc2.1mdv2009.0
+ Revision: 265537
- add spec file
- use defconfigs from kernel-linus
- start with 2.6.27-rc2
- Created package structure for kernel-firmware.

